// JavaScript Document
(function() {
    tinymce.create('tinymce.plugins.socialbuttons', {
        init : function(ed, url) {
            ed.addButton('socialbuttons-facebook', {
                title : 'Add Facebook like button',
                image : url+'/socialbuttons-facebook.png',
                onclick : function() {
                    // ed.selection.setContent('[socialbuttons media="facebook" url_to_like=""]');

					tb_show( 'Add Facebook like button', '#TB_inline?inlineId=socialbutton-add-form' );
					jQuery('#TB_window').css({"width":"670px","height":"250px","top":"125px"});
					jQuery('#socialmedia').html('<input type="hidden" id="socialbutton-add-media" name="media" value="facebook" />');
                }
            });
			ed.addButton('socialbuttons-twitter', {
                title : 'Add twitter socialbutton',
                image : url+'/socialbuttons-twitter.png',
                onclick : function() {
					tb_show( 'Add twitter like button', '#TB_inline?inlineId=socialbutton-add-form' );
					jQuery('#TB_window').css({"width":"670px","height":"250px","top":"125px"});
					jQuery('#socialmedia').html('<input type="hidden" id="socialbutton-add-media" name="media" value="twitter" />');
                }
            });
			ed.addButton('socialbuttons-googleplus', {
                title : 'Add Google+ socialbutton',
                image : url+'/socialbuttons-googleplus.png',
                onclick : function() {
					tb_show( 'Add Google+ like button', '#TB_inline?inlineId=socialbutton-add-form' );
					jQuery('#TB_window').css({"width":"670px","height":"250px","top":"125px"});
					jQuery('#socialmedia').html('<input type="hidden" id="socialbutton-add-media" name="media" value="googleplus" />');
                }
            });
			ed.addButton('socialbuttons-linkedin', {
                title : 'Add LinkedIn share button',
                image : url+'/socialbuttons-linkedin.png',
                onclick : function() {
					tb_show( 'Add Google+ like button', '#TB_inline?inlineId=socialbutton-add-form' );
					jQuery('#TB_window').css({"width":"670px","height":"250px","top":"125px"});
					jQuery('#socialmedia').html('<input type="hidden" id="socialbutton-add-media" name="media" value="linkedin" />');
                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('socialbuttons', tinymce.plugins.socialbuttons);
	
	
	jQuery(function(){
		var form = jQuery('<div id="socialbutton-add-form"><table id="socialbutton-add-table" class="form-table">\
			<tr>\
				<th style="width:140px;"><div id="socialmedia"></div><label for="socialbutton-add-columns">URL to like</label></th>\
				<td><input type="text" id="socialbutton-add-url_to_like" name="url_to_like" value="" style="width:200px;"/><br />\
				<small>leave blank if you want people to like current post/page.</small></td>\
			</tr>\
			<tr>\
				<th style="width:140px;"><label for="socialbutton-add-id">URL Cloaking title</label></th>\
				<td><input type="text" name="cloak_title" id="socialbutton-add-cloak_title" value="" style="width:200px;"/><br />\
				<small>With URL cloaking the url for people to like will be "http://yourblog.tld/c/CloakingTitle". All the traffic to that URL will be redirected to the "URL to like" url. Leave blank if you don\'t need URL cloaking.</small>\
			</tr>\
		</table>\
		<p class="submit">\
			<input type="button" id="socialbutton-add-submit" class="button-primary" value="Add a button" name="submit" />\
		</p>\
		</div>');
		
		var table = form.find('table');
		form.appendTo('body').hide();
		
		form.find('#socialbutton-add-submit').click(function(){
			var options = { 
				'media'    : '',
				'url_to_like'         : '',
				'cloak_title'         : '',
				};
			var shortcode = '[socialbuttons';
			
			for( var index in options) {
				var value = table.find('#socialbutton-add-' + index).val();
				
				if ( value !== options[index] )
					shortcode += ' ' + index + '="' + value + '"';
			}
			
			shortcode += ']';
			
			// inserts the shortcode into the active editor
			tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
			
			// closes Thickbox
			tb_remove();
		});
	});
})();